Error al actualizar Woocommerce  

 
Diego
 Diego
Usuario eminente

Buenas,

Acabo de actualizar Woocommerce a la versión 2.1.12 y me arroja un error:
Su tema ha incluido copias no actualizadas de los archivos de la plantilla de WooCommerce

Accedo a "Estado del sistema" y me marca en rojo:
email-addresses.php la versión 2.0.0 no está actualizada. La versión del núcleo es 2.1.11

¿Cómo lo soluciono?

URL del sitio: Contenido solo visible a usuarios registrados

Citar
Respondido : 01/07/2014 9:48 pm
Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola Diego,

Supongo que te refieres al aviso (no es un error):

Su tema ha incluido copias no actualizadas de los archivos de la plantilla de WooCommerce – si se encuentra con problemas de funcionalidad en el frontend esta podría ser la razón. Asegúrese de actualizarlos o eliminarlos (en general sólo se recomienda agrupar los archivos de plantilla que realmente necesita personalizar). Revise el informe del sistema para obtener más detalles.

Todavía no he tenido tiempo de revisar que cambios se producen en WooCommerce 2.1.12 con respecto a 2.1.11 por lo que evaluar si es un simple aviso por compatibilidad con determinado theme de WordPress, Jano, etc., o si se trata de un bug "menor" de la actualización.

No obstante y hasta tener más información, nuestra recomendación es no actualizar WooCommerce si no es estrictamente necesario ya que en nuestros packs realizamos instalación de plugins adicionales que podrían presentar problemas tras determinadas actualizaciones no verificadas o afectar a la personalización de nuestros themes.

Y naturalmente hacer una copia de seguridad "siempre" antes de actualizar.

- Copias de Seguridad de WordPress con el plugin XCloner: https://www.webempresa.com/blog/item/688-como-clonar-tu-blog-y-gestionar-copias-de-seguridad-en-wordpress-con-xcloner.html

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 02/07/2014 12:54 am

Cursos Gratuitos WordPress

Diego
 Diego
Usuario eminente

Gracias Luis, pero no soluciono el problema.
He vuelto a la versión anterior (2.1.11) pero sigue la advertencia.
En cualquier caso, es posible que no haya sido Woocommerce porque tanto con 2.1.11 como con la 2.1.12, tanto si filtro los productos por categoría como si hago una búsqueda, ... la página se queda en blanco (adjunto).
Tengo que retroceder a la página anterior porque refrescar no funciona.
Relacioné Woocommerce con el problema porque es el cambio que había hecho.

S2

ResponderCitar
Respondido : 02/07/2014 3:03 pm
Pablo Velasco
 Pablo Velasco
Illustrious Member

Hola,

Normalmente este tipo de errores se muestran debido a que el tema de WordPress que se esté utilizando contiene código para maquetar las distintas páginas de la tienda WooCommerce y con las actualizaciones de WooCommerce estos archivos no quedan actualizados con esa versión de la tienda.

Normalmente el funcionamiento de la tienda sigue siendo correcto aunque se muestre el mensaje, pero de todas formas es conveniente realizar pruebas varias con la tienda para verificar que todo sigue funcionando bien.

Tendrías que indicarnos el enlace a tu página web para poder revisar qué posibles fallos se están produciendo.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 02/07/2014 5:28 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Diego
 Diego
Usuario eminente

He solucionado el problema restaurando por cPremote.

Ahora voy a modificar el functions.php de mi theme para eliminar el Rango de precios y ver si se vuelven a reproducir los errores.
De todos modo desconozco por qué el theme afecta al backend.

S2

ResponderCitar
Respondido : 02/07/2014 6:34 pm
Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola Diego

Realiza un backup del archivo antes de realizar los cambios.

Verifica también si tu theme tiene actualizaciones, ya que es posible que haya una nueva versión

Algunos themes tienen archivos que trabajan con woocommerce por lo que woocommerce desde el backend al cargar verifica estos archivos o estilos e informa si encuentra que no corresponde a la versión actual del woocommerce

Saludos.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio
¡Gracias!.

ResponderCitar
Respondido : 02/07/2014 7:28 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

Por favor Iniciar Sesión o Registro